<!DOCTYPE html>
<html>
<head>
	<title></title>
	<script type="text/javascript">
		let a=[];
		let myABCObject = [{
              key: 10,
              name: "Batman",
              origin: "DC"
             },
             {
              key: 11,
              name: "Wonder-Woman",
              origin: "DC"
             },
             {
              key: 2,
              name: "Spider-man",
              origin: "Marvel"
             },
             {
              key: 8,
              name: "Daredevil",
              origin: "Marvel"
              },
               {
               key: 5,
               name: "Avengers",
               origin: "DC"
            },
              {
               key: 3,
               name: "Flash",
               origin: "DC"
            }
          ]

          
          // let keysArray=myABCObject.map(function(o){
          // 	return o.key;
          // });
          // console.log(keysArray);



          // console.log(myABCObject);
         // console.log(Object.keys(myABCObject));
    
         Obj=myABCObject.filter(function(a){
        	return a.key >= 5 && a.origin == "DC";
        });
        //  Obj.map(function(a){
        // 	return a.value(3);
        // });
         	for (i=0; i < Obj.length; i++){
      a.push(Obj[i].key);
    }
   console.log(a);
        	// console.log(a);
        	// console.log(obj);
	</script>
</head>
<body>

</body>
</html>